import sys

if len(sys.argv) != 2:
	print "Usage: %s d90aff"%sys.argv[0]
	sys.exit(1)

hexstring = sys.argv[1]
if len(hexstring)!=6:
	print "Color must be 6 digit hex number"
	sys.exit(1)

colors = []
colors.append("0x"+hexstring[:2])
colors.append("0x"+hexstring[2:4])
colors.append("0x"+hexstring[4:])

colors = [ int(color,16)/255. for color in colors ]

colors = tuple(colors)

print "%8.3f %8.3f %8.3f"%colors
